package nl.tudelft.ewi.alg.distsim.net;

//  Copyright 2013 Léon Planken and James Boerkoel

/*
    This file is part of the DistSim package.

    DistSim is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DistSim is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DistSim.  If not, see <http://www.gnu.org/licenses/>.
*/

import nl.tudelft.ewi.alg.distsim.MasterProcess;

/**
 * Just deliver each message immediately, without latency.
 * This is the default assumed by {@link MasterProcess}.
 * @author L&eacute;on Planken
 */
public class Immediate implements NetSimulator {
	/** {@inheritDoc} */
	public long send(int senderID, int receiverID, long sendTime) {
		return sendTime;
	}
}
